iis7下.Net框架版本设置

技术分享 Story 74浏览 0评论

转载:http://blog.163.com/fan_yishan/blog/static/47692213201391651229542/

Win7下IIS网站的.Net框架版本设置

步骤/方法

  1. 1
    昨天下载了 VS2010 创建了一个默认的WebApplication,想看看在iis中运行的情况,虽说用了几个月的 win7 ,但还从没有用过IIS。首先给人的感觉是IIS变化很大,多出了很多东西,让人感到很茫然。
    1
  2. 2
    先建个网站试试,发布后,再iis中建立站点,建立站点的界面很简洁过程很简单 :建立好后运行居然报错,说是web.config 中有问题,然后显示当前的.net框架版本是 2.0,想想应该是要选择4.0的版本才对。但是找了半天也没有找到在哪里修改使用的框架版本。郁闷得我都快崩溃了。经过一个多小时的摸索终于解决问题了,原来网站的.Net版本的设置不再是象以前一样在站点属性对话框的asp.net 属性页中选择设置 ,现在是在应用程序池中设置,唉,这个变化搞死人啊。除了在建立新网站时在应用程序池中选择,还有另几个地方可以选择操作。
    2
  3. 3
    一、建立网站时设置.net框架版本:
    3
  4. 4
    二、对于已经添加的应用程序设置.net框架版本
    4
  5. 5
    三、更改IIS 默认.net框架版本
    5
  6. 6
    四、针对应用程序池设置.net框架版本
    6

转载请注明:成长的对话 » iis7下.Net框架版本设置